# Created by pyp2rpm-3.3.2
%global pypi_name ujson

Name:           python-%{pypi_name}
Version:        5.10.0
Release:        %mkrel 2
Summary:        Ultra fast JSON encoder and decoder for Python
Group:          Development/Python
License:        BSD License
URL:            https://pypi.org/project/ujson
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  double-conversion-devel

%description
UltraJSON UltraJSON is an ultra fast JSON encoder and decoder written in pure C
with bindings for Python.

%package -n     python3-%{pypi_name}
Summary:        Ultra fast JSON encoder and decoder for Python3
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
UltraJSON UltraJSON is an ultra fast JSON encoder and decoder written in pure C
with bindings for Python.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# drop bundled libs
rm -rf deps/

%generate_buildrequires
%pyproject_buildrequires

%build
export UJSON_BUILD_NO_STRIP=1
export UJSON_BUILD_DC_INCLUDES='%{_includedir}/double-conversion'
export UJSON_BUILD_DC_LIBS='-ldouble-conversion'
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 5.10.0-2.mga10
+ Revision: 2237098
- Mageia 10 Mass Rebuild

* Wed Feb 26 2025 wally <wally> 5.10.0-1.mga10
+ Revision: 2152738
- new version 5.10.0
- rebuild for pyhton3.13

* Mon Apr 15 2024 papoteur <papoteur> 5.9.0-1.mga10
+ Revision: 2057829
- new version 5.9.0

* Sat Dec 16 2023 papoteur <papoteur> 5.8.0-4.mga10
+ Revision: 2018402
- rebuild for python 3.12

* Thu Dec 07 2023 wally <wally> 5.8.0-3.mga10
+ Revision: 2015274
- rebuild for py3.12

* Tue Nov 28 2023 wally <wally> 5.8.0-2.mga10
+ Revision: 2010728
- build with system double-conversion lib
- add debug pkgs
- use pyproject rpm macros

* Fri Sep 01 2023 papoteur <papoteur> 5.8.0-1.mga10
+ Revision: 1983331
- new 5.8.0

* Wed Jan 25 2023 luigiwalser <luigiwalser> 5.7.0-1.mga9
+ Revision: 1936088
- 5.7.0

* Tue Dec 27 2022 luigiwalser <luigiwalser> 5.6.0-1.mga9
+ Revision: 1927227
- 5.6.0

* Tue Sep 27 2022 luigiwalser <luigiwalser> 5.5.0-1.mga9
+ Revision: 1892577
- 5.5.0

* Sat Jul 23 2022 papoteur <papoteur> 5.4.0-1.mga9
+ Revision: 1870556
- new 5.4.0: fix CVE-2022-31117 (mga#30663)

* Thu Jun 02 2022 papoteur <papoteur> 5.3.0-1.mga9
+ Revision: 1861078
- new 5.3.0

* Tue May 10 2022 papoteur <papoteur> 5.2.0-1.mga9
+ Revision: 1857452
- new 5.2.0

* Sat Mar 19 2022 umeabot <umeabot> 4.0.2-3.mga9
+ Revision: 1799215
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 4.0.2-2.mga9
+ Revision: 1781306
- rebuild for python-3.10

* Fri Feb 04 2022 mrambo3501 <mrambo3501> 4.0.2-1.mga9
+ Revision: 1771507
- version 4.0.2

* Fri Jul 03 2020 shlomif <shlomif> 3.0.0-1.mga9
+ Revision: 1601691
- New version 3.0.0

* Thu Apr 09 2020 daviddavid <daviddavid> 2.0.3-1.mga8
+ Revision: 1565800
- new version: 2.0.3 (mga#26461)

* Sun Feb 16 2020 umeabot <umeabot> 1.35-3.mga8
+ Revision: 1532693
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 1.35-2.mga8
+ Revision: 1442652
- fix linking issue
+ tv <tv>
- rebuild for python-3.8

* Fri Jul 19 2019 shlomif <shlomif> 1.35-1.mga8
+ Revision: 1423009
- pyp2rpm

